/* fepseq.c */

/* Author:
 *	Junichiro ITOH
 *	itojun@foretune.co.jp / itojun@mt.cs.keio.ac.jp / JINnet itojun
 */

/* functions for FEP control escape sequence (jstevie compatible - for hterm)
 * special thanks to ohta@ricoh.co.jp
 */

#include "config.h"
#include "vi.h"
#if FEPSEQ
#include "fepseq.h"


int	fep_init()
{
	/* do nothing */;
}

void	fep_term()
{
	/* do nothing */;
}

void	fep_on()
{
	if (has_FS) do_FS();
}

void	fep_off()
{
	if (has_FE) do_FE();
}

void	fep_force_on()
{
	/* do nothing */
}

void	fep_force_off()
{
	if (has_FQ) do_FQ();
}
#endif
